classification
Title: More code coverage for imp module
Type: Stage: resolved
Components: Tests Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, asvetlov, brett.cannon, eric.snow, jcea, tenuki
Priority: normal Keywords: patch

Created on 2012-11-15 00:14 by tenuki, last changed 2014-07-02 15:30 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
imp_test_patch.diff tenuki, 2012-11-15 00:14 review
Messages (5)
msg175597 - (view) Author: alejandro david weil (tenuki) Date: 2012-11-15 00:14
Add some 5% more code-coverage for imp module in tests.
msg175598 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2012-11-15 01:14
Not sure increasing test coverage would be tolerated in 3.3.1. I would be +1 to it.
msg176553 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-11-28 16:44
I think nothing bad to push additional tests into 3.3 also.
msg222081 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-02 07:25
Is it worth applying the patch as the imp module is deprecated since version 3.4?
msg222092 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2014-07-02 09:50
Well, I've closed it as out-of-date.
History
Date User Action Args
2014-07-02 15:30:47berker.peksagsetstatus: open -> closed
2014-07-02 09:50:43asvetlovsetresolution: out of date
messages: + msg222092
stage: resolved
2014-07-02 07:25:15BreamoreBoysetnosy: + BreamoreBoy
messages: + msg222081
2012-11-28 16:44:08asvetlovsetmessages: + msg176553
2012-11-23 17:12:47asvetlovsetnosy: + asvetlov
2012-11-15 07:35:31eric.snowsetnosy: + eric.snow
2012-11-15 01:14:18jceasetnosy: + jcea

messages: + msg175598
versions: + Python 3.4
2012-11-15 00:14:30tenukicreate